---
title: IntersectionObserverEntry.time
slug: Web/API/IntersectionObserverEntry/time
tags:
  - API
  - Experimental
  - Intersection Observer
  - Intersection Observer API
  - IntersectionObserverEntry
  - Property
  - Reference
  - Time
---
<div>{{APIRef("Intersection Observer API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The {{domxref("IntersectionObserverEntry")}} interface's read-only <strong><code>time</code></strong> property is a {{domxref("DOMHighResTimeStamp")}} that indicates the time at which the intersection change occurred relative to the time at which the document was created.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><code>var <em>time</em> = </code>IntersectionObserverEntry</var>.time;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} which indicates the time at which the {{domxref("IntersectionObserverEntry.target", "target")}} element experienced the intersection change described by the <code>IntersectionObserverEntry</code>. The time is specified in milliseconds since the creation of the containing document.</p>

<h2 id="Example">Example</h2>

<p>See <a href="/en-US/docs/Web/API/Intersection_Observer_API/Timing_element_visibility">Timing element visibility with the Intersection Observer API</a> for a complete example which uses the <code>time</code> property to track how long elements are visible to the user.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('IntersectionObserver', '#dom-intersectionobserverentry-time', 'IntersectionObserverEntry.time')}}</td>
   <td>{{Spec2('IntersectionObserver')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.IntersectionObserverEntry.time")}}</p>
